Loading...
Searching...
No Matches
BALL::MMFF94ParametersBase Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94ParametersBase:

## Public Member Functions

| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)

## Protected Attributes

bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 component parameters base class

Definition at line 39 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94ParametersBase()

BALL::MMFF94ParametersBase::MMFF94ParametersBase | ( |  | ) |

Default constructor.

## ~MMFF94ParametersBase()

virtual BALL::MMFF94ParametersBase::~MMFF94ParametersBase | ( |  | ) |

inline virtual

Destructor.

Definition at line 49 of file MMFF94Parameters.h.

## Member Function Documentation

## clear()

virtual void BALL::MMFF94ParametersBase::clear | ( |  | ) |

virtual

Clear method.

Reimplemented in BALL::MMFF94AtomTypeEquivalences, BALL::MMFF94BendParameters, BALL::MMFF94ESParameters, BALL::MMFF94PlaneParameters, BALL::MMFF94StretchBendParameters, BALL::MMFF94StretchParameters, BALL::MMFF94TorsionParameters, and BALL::MMFF94VDWParameters.

## isInitialized()

bool BALL::MMFF94ParametersBase::isInitialized | ( |  | ) |

inline

Definition at line 60 of file MMFF94Parameters.h.

## operator=()

const MMFF94ParametersBase & BALL::MMFF94ParametersBase::operator= | ( | const MMFF94ParametersBase & |  | ) |

inline

Assignment operator.

Definition at line 52 of file MMFF94Parameters.h.

## readParameters()

bool BALL::MMFF94ParametersBase::readParameters | ( | Parameters & | p,
|  | const String & | section )

Exceptions

  BALL::Exception::FileNotFound |

## setEquivalences()

void BALL::MMFF94ParametersBase::setEquivalences | ( | const MMFF94AtomTypeEquivalences & | equi | ) |

inline

Definition at line 66 of file MMFF94Parameters.h.

## setup_()

virtual bool BALL::MMFF94ParametersBase::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

inline protected virtual

Reimplemented in BALL::MMFF94AtomTypeEquivalences, BALL::MMFF94AtomTypes, BALL::MMFF94BendParameters, BALL::MMFF94ESParameters, BALL::MMFF94PlaneParameters, BALL::MMFF94StretchBendParameters, BALL::MMFF94StretchParameters, BALL::MMFF94TorsionParameters, and BALL::MMFF94VDWParameters.

Definition at line 70 of file MMFF94Parameters.h.

## Member Data Documentation

## equiv_

const MMFF94AtomTypeEquivalences* BALL::MMFF94ParametersBase::equiv_

protected

Definition at line 76 of file MMFF94Parameters.h.

## is_initialized_

bool BALL::MMFF94ParametersBase::is_initialized_

protected

Definition at line 72 of file MMFF94Parameters.h.

## number_expected_fields_

Size BALL::MMFF94ParametersBase::number_expected_fields_

protected

Definition at line 75 of file MMFF94Parameters.h.